Bug 1470784 - API test case test_dhcpv6_stateless_eui64 fails with ServerFault
API test case test_dhcpv6_stateless_eui64 fails with ServerFault
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
high Severity high
: z1
: 12.0 (Pike)
Assigned To: Ihar Hrachyshka
Arie Bregman
: AutomationBlocker, Triaged, ZStream
: 1470796 1506668 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-13 12:26 EDT by Arie Bregman
Modified: 2018-02-15 17:41 EST (History)
8 users (show)

See Also:
Fixed In Version: openstack-neutron-11.0.1-8.el7ost
Doc Type: Bug Fix
Doc Text:
Previously, a bug in the Neutron IPAM database layer caused the core Neutron plugin to commit inconsistent IP allocation sate in some IPv6/SLAAC network subnets. This led to subnet API cretion requests to sometimes fail with a ServerFault 5xx HTTP error, and to incorrect IP allocations for some ports. This fix prevents the IPAN database layer from committing inconsistent IP allocation states, which prevents API errors and incorrect IP allocations.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-01-30 15:02:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1706750 None None None 2017-07-26 15:19 EDT
OpenStack gerrit 485328 None None None 2017-07-19 17:26 EDT

  None (edit)
Description Arie Bregman 2017-07-13 12:26:33 EDT
Description of problem:

The following neutron tempest test fails on non-containerized deployment:

neutron.tests.tempest.api.admin.test_floating_ips_admin_actions.FloatingIPAdminTestJSON.test_associate_floating_ip_with_port_from_another_tenant

Traceback:

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/tempest/test.py", line 103, in wrapper
    return f(self, *func_args, **func_kwargs)
  File "/usr/lib/python2.7/site-packages/tempest/scenario/test_network_v6.py", line 252, in test_dualnet_multi_prefix_dhcpv6_stateless
    dualnet=True)
  File "/usr/lib/python2.7/site-packages/tempest/scenario/test_network_v6.py", line 164, in _prepare_and_test
    dualnet=dualnet)
  File "/usr/lib/python2.7/site-packages/tempest/scenario/test_network_v6.py", line 100, in prepare_network
    ipv6_address_mode=address6_mode)
  File "/usr/lib/python2.7/site-packages/tempest/scenario/manager.py", line 766, in _create_subnet
    result = subnets_client.create_subnet(**subnet)
  File "/usr/lib/python2.7/site-packages/tempest/lib/services/network/subnets_client.py", line 27, in create_subnet
    return self.create_resource(uri, post_data)
  File "/usr/lib/python2.7/site-packages/tempest/lib/services/network/base.py", line 61, in create_resource
    resp, body = self.post(req_uri, req_post_data)
  File "/usr/lib/python2.7/site-packages/tempest/lib/common/rest_client.py", line 270, in post
    return self.request('POST', url, extra_headers, headers, body, chunked)
  File "/usr/lib/python2.7/site-packages/tempest/lib/common/rest_client.py", line 659, in request
    self._error_checker(resp, resp_body)
  File "/usr/lib/python2.7/site-packages/tempest/lib/common/rest_client.py", line 836, in _error_checker
    message=message)
tempest.lib.exceptions.ServerFault: Got server fault
Details: Request Failed: internal server error while processing your request.


Version-Release number of selected component (if applicable): openstack-neutron-11.0.0-0.20170710190714.a51271d.el7ost.noarch


How reproducible: 100%


Steps to Reproduce:
1. Deploy non-containrized HA (3 controllers, 2 compute) deployment 
2. Run neutron API tempest tests

Actual results: test failed with the traceback above


Expected results: test passed successfully


Additional info: non-containerized deployment
Comment 2 Ihar Hrachyshka 2017-07-18 09:32:54 EDT
This from neutron-server log is probably related:

2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation [req-3c97d83e-3beb-4b28-a29f-697fc1ee8bc6 5f2e0d72ef8e4fb18b500759cfe5e503 205f2a3630a0426f8da20b4467ea003b - default default] POST failed.: FlushError: New instance <IPAllocation at 0x8b3f7d0> with identity key (<class 'neutron.db.models_v2.IPAllocation'>, ('2003::1:f816:3eff:fe3f:aa00', '8032a1cd-9236-4126-83fa-2f039ed2b890', 'c0542b84-bcd0-48e1-ace1-6da1f50246dc')) conflicts with persistent instance <IPAllocation at 0x89ac310>
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation Traceback (most recent call last):
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/pecan/core.py", line 678, in __call__
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     self.invoke_controller(controller, args, kwargs, state)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/pecan/core.py", line 569, in invoke_controller
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     result = controller(*args, **kwargs)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/neutron/db/api.py", line 94, in wrapped
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     setattr(e, '_RETRY_EXCEEDED', True)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 220, in __exit__
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     self.force_reraise()
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 196, in force_reraise
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     six.reraise(self.type_, self.value, self.tb)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/neutron/db/api.py", line 90, in wrapped
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     return f(*args, **kwargs)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/oslo_db/api.py", line 150, in wrapper
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     ectxt.value = e.inner_exc
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 220, in __exit__
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     self.force_reraise()
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 196, in force_reraise
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     six.reraise(self.type_, self.value, self.tb)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/oslo_db/api.py", line 138, in wrapper
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     return f(*args, **kwargs)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/neutron/db/api.py", line 129, in wrapped
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     LOG.debug("Retry wrapper got retriable exception: %s", e)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 220, in __exit__
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     self.force_reraise()
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 196, in force_reraise
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     six.reraise(self.type_, self.value, self.tb)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/neutron/db/api.py", line 125, in wrapped
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     return f(*dup_args, **dup_kwargs)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/neutron/pecan_wsgi/controllers/utils.py", line 70, in wrapped
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     return f(*args, **kwargs)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/neutron/pecan_wsgi/controllers/resource.py", line 152, in post
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     return self.create(resources)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/neutron/pecan_wsgi/controllers/resource.py", line 170, in create
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     return {key: creator(*creator_args, **creator_kwargs)}
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/neutron/common/utils.py", line 665, in inner
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     return f(self, context, *args, **kwargs)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/neutron/db/api.py", line 164, in wrapped
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     return method(*args, **kwargs)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/neutron/db/api.py", line 94, in wrapped
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     setattr(e, '_RETRY_EXCEEDED', True)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 220, in __exit__
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     self.force_reraise()
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 196, in force_reraise
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     six.reraise(self.type_, self.value, self.tb)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/neutron/db/api.py", line 90, in wrapped
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     return f(*args, **kwargs)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/oslo_db/api.py", line 150, in wrapper
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     ectxt.value = e.inner_exc
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 220, in __exit__
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     self.force_reraise()
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 196, in force_reraise
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     six.reraise(self.type_, self.value, self.tb)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/oslo_db/api.py", line 138, in wrapper
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     return f(*args, **kwargs)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/neutron/db/api.py", line 129, in wrapped
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     LOG.debug("Retry wrapper got retriable exception: %s", e)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 220, in __exit__
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     self.force_reraise()
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 196, in force_reraise
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     six.reraise(self.type_, self.value, self.tb)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/neutron/db/api.py", line 125, in wrapped
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     return f(*dup_args, **dup_kwargs)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/neutron/plugins/ml2/plugin.py", line 985, in create_subnet
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     result, mech_context = self._create_subnet_db(context, subnet)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/neutron/plugins/ml2/plugin.py", line 977, in _create_subnet_db
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     self._create_subnet_postcommit(context, result, net_db, ipam_sub)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/neutron/db/api.py", line 164, in wrapped
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     return method(*args, **kwargs)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/neutron/db/api.py", line 94, in wrapped
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     setattr(e, '_RETRY_EXCEEDED', True)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 220, in __exit__
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     self.force_reraise()
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 196, in force_reraise
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     six.reraise(self.type_, self.value, self.tb)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/neutron/db/api.py", line 90, in wrapped
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     return f(*args, **kwargs)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/oslo_db/api.py", line 150, in wrapper
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     ectxt.value = e.inner_exc
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 220, in __exit__
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     self.force_reraise()
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 196, in force_reraise
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     six.reraise(self.type_, self.value, self.tb)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/oslo_db/api.py", line 138, in wrapper
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     return f(*args, **kwargs)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/neutron/db/api.py", line 129, in wrapped
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     LOG.debug("Retry wrapper got retriable exception: %s", e)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 220, in __exit__
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     self.force_reraise()
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 196, in force_reraise
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     six.reraise(self.type_, self.value, self.tb)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/neutron/db/api.py", line 125, in wrapped
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     return f(*dup_args, **dup_kwargs)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/neutron/db/db_base_plugin_v2.py", line 675, in _create_subnet_postcommit
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     result, ipam_subnet)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/neutron/db/ipam_pluggable_backend.py", line 491, in add_auto_addrs_on_network_ports
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     allocated.create()
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/neutron/objects/base.py", line 225, in decorator
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     res = func(self, *args, **kwargs)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/neutron/objects/base.py", line 632, in create
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     self.modify_fields_to_db(fields))
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib/python2.7/site-packages/neutron/objects/db/api.py", line 61, in create_object
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     context.session.add(db_obj)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 567, in __exit__
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     self.rollback()
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib64/python2.7/site-packages/sqlalchemy/util/langhelpers.py", line 66, in __exit__
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     compat.reraise(exc_type, exc_value, exc_tb)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 564, in __exit__
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     self.commit()
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 461, in commit
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     self._prepare_impl()
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 441, in _prepare_impl
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     self.session.flush()
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 2171, in flush
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     self._flush(objects)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 2291, in _flush
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     transaction.rollback(_capture_exception=True)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib64/python2.7/site-packages/sqlalchemy/util/langhelpers.py", line 66, in __exit__
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     compat.reraise(exc_type, exc_value, exc_tb)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 2255, in _flush
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     flush_context.execute()
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/unitofwork.py", line 389, in execute
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     rec.execute(self)
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/unitofwork.py", line 548, in execute
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     uow
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/persistence.py", line 156, in save_obj
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     base_mapper, states, uowtransaction
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/persistence.py", line 312, in _organize_states_for_save
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation     state_str(existing)))
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation FlushError: New instance <IPAllocation at 0x8b3f7d0> with identity key (<class 'neutron.db.models_v2.IPAllocation'>, ('2003::1:f816:3eff:fe3f:aa00', '8032a1cd-9236-4126-83fa-2f039ed2b890', 'c0542b84-bcd0-48e1-ace1-6da1f50246dc')) conflicts with persistent instance <IPAllocation at 0x89ac310>
2017-07-13 15:20:51.064 85185 ERROR neutron.pecan_wsgi.hooks.translation
Comment 3 Ihar Hrachyshka 2017-07-18 09:34:27 EDT
I checked history of the test, and it seems that it fails consistently in the branch (which is good for debugging). One question to think through is why the test case doesn't fail in upstream gates.
Comment 4 Ihar Hrachyshka 2017-07-18 09:44:15 EDT
Maybe related to https://review.openstack.org/#/c/396718, need to look at when it hit our jobs first.
Comment 5 Assaf Muller 2017-07-20 12:13:37 EDT
*** Bug 1470796 has been marked as a duplicate of this bug. ***
Comment 10 Ihar Hrachyshka 2017-11-10 14:24:45 EST
*** Bug 1506668 has been marked as a duplicate of this bug. ***
Comment 11 Ihar Hrachyshka 2017-11-10 14:25:14 EST
I don't believe it's fixed, we still see the failure.
Comment 13 Ihar Hrachyshka 2017-11-21 16:56:45 EST
The upstream patches I posted don't seem to help either. I will need to find some easier way to reproduce it.
Comment 27 errata-xmlrpc 2018-01-30 15:02:19 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0245

Note You need to log in before you can comment on or make changes to this bug.